# declar_interface
Keywords: patterns

Subsections

- Parameters

##
declar_interface

Adds all the connectors from a Stratus model to the pattern interface. Write the corresponding connector declaration in the pattern file with name, arity and direction directly taken from the connector proprieties.

### Parameters

- cell : the tested Stratus model reference. Optional if a reference to the tested Stratus model was given during instanciation3.1.
- format : optional format for the connectors values into the pattern file, accepted values are :
  - 'B': binary (default),
  - 'X': hexadecimal,
  - 'O': octal.